### Method

# EBook BookClient get_cursor_sync

since: 3.12

#### Declaration [src]

    gboolean
    e_book_client_get_cursor_sync (
      EBookClient* client,
      const gchar* sexp,
      const EContactField* sort_fields,
      const EBookCursorSortType* sort_types,
      guint n_fields,
      EBookClientCursor** out_cursor,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Create an `EBookClientCursor`. If successful, then the `out_cursor` is set to newly allocated `EBookClientCursor`, the cursor should be freed with `g_object_unref()` when no longer needed.

Note: `sexp` can be obtained through `EBookQuery`, by converting it to a string with e_book_query_to_string().

Available since: 3.12

#### Parameters

`sexp`

  Type: `const gchar*`

  An S-expression representing the query.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`sort_fields`

  Type: `EContactField`

  An array of `EContactFields` to sort the cursor with.

  The data is owned by the caller of the method.

`sort_types`

  Type: `EBookCursorSortType`

  An array of `EBookCursorSortTypes` to complement `sort_fields`.

  The data is owned by the caller of the method.

`n_fields`

  Type: `guint`

  The length of the input `sort_fields` and `sort_types` arrays.

`out_cursor`

  Type: `EBookClientCursor`

  Return location for an `EBookClientCursor`.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful, `FALSE` otherwise.